# 32/64bit spec-file
#
%define version 3.7p3
%define filever 37p3
%define release %mkrel 9
%define	major	1
%define	libname	%mklibname canna %{major}

Name:		canna
Summary:	Japanese Kana-Kanji translation engine
Version:	%{version}
Release:	%{release}
License:	MIT
Group:		System/Internationalization
URL:		http://sourceforge.jp/projects/canna/
Source:		Canna%{filever}.tar.bz2
Source1:	canna.init
Patch1:		canna-3.7p1-config.patch
Patch2:		canna-3.7p1-buildfix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	locales-ja
BuildRequires:	%{_lib}x11-devel imake
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Obsoletes:	libcanna1
Obsoletes:	canna < %version

%description
Canna is a Japanese Kana-Kanji translation engine.

%package devel
Summary:	Headers and libraries of Canna for development
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	libcanna1-devel < %version


%description devel
Headers and libraries of Canna for development.

%prep
%setup -q -n Canna%{filever}
%patch1 -b .conf
%patch2 -b .build

%build
prefix=/usr xmkmf
# make -j2 doesn't work
make canna

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std sysconfdir=%{buildroot}%{_sysconfdir} libCannaDir=%{_libdir}
%__install -D %SOURCE1 %{buildroot}%{_initrddir}/canna

%__install -d %{buildroot}%{_sysconfdir}/logrotate.d
cat << EOF > %{buildroot}%{_sysconfdir}/logrotate.d/canna
/var/log/canna/CANNA?msgs {
    notifempty
    missingok
}
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%_pre_useradd canna %_datadir/canna /sbin/nologin

%post
/sbin/ldconfig
%_post_service canna

%preun
%_preun_service canna

%postun
/sbin/ldconfig
%_postun_userdel canna

%files
%defattr(0755,root,root,0755)
%{_sbindir}/*
%{_bindir}/*
%{_initrddir}/*
%defattr(0644,root,root,0755)
%doc CHANGES.jp ChangeLog README README.jp WHATIS WHATIS.jp
%dir %{_var}/lib/canna
%config(noreplace) %{_sysconfdir}/logrotate.d/canna
%config(noreplace) %{_var}/lib/canna/default.canna
%{_var}/lib/canna/sample
%dir %attr(755,canna,canna) %{_var}/lib/canna/dic
%dir %attr(755,canna,canna) %{_var}/lib/canna/dic/canna
%attr(644,canna,canna) %config(noreplace) %{_var}/lib/canna/dic/*.cbp
%attr(644,canna,canna) %config(noreplace) %{_var}/lib/canna/dic/canna/*
%attr(755,canna,canna) %dir %{_var}/log/canna
%{_libdir}/*.so.*

%files devel
%defattr(0644,root,root,0755)
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/*


%changelog
* Mon Feb 04 2013 pinoc <vogtpet at gmail.com> 3.7p3-9pclos2013
- rebuild on 64

* Wed May 12 2010 Texstar <texstar at gmail.com> 3.7p3-8pclos2010
- update for 2010 release

